/**************************************************************************/
/* LabWindows/CVI User Interface Resource (UIR) Include File              */
/* Copyright (c) National Instruments 2010. All Rights Reserved.          */
/*                                                                        */
/* WARNING: Do not add to, delete from, or otherwise modify the contents  */
/*          of this include file.                                         */
/**************************************************************************/

#include <userint.h>

#ifdef __cplusplus
    extern "C" {
#endif

     /* Panels and Controls: */

#define  PANEL                            1       /* callback function: PanelCallback */
#define  PANEL_COMMANDBUTTON              2       /* callback function: ButtonCallback_so */
#define  PANEL_CMD                        3
#define  PANEL_COMMANDBUTTON_2            4       /* callback function: ButtonCallback_sr */
#define  PANEL_RING                       5
#define  PANEL_TEXTBOX                    6
#define  PANEL_COMMANDBUTTON_3            7       /* callback function: ButtonCallback_rf */


     /* Menu Bars, Menus, and Menu Items: */

          /* (no menu bars in the resource file) */


     /* Callback Prototypes: */

int  CVICALLBACK ButtonCallback_rf(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK ButtonCallback_so(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK ButtonCallback_sr(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK PanelCallback(int panel, int event, void *callbackData, int eventData1, int eventData2);


#ifdef __cplusplus
    }
#endif
